# Uses of Interface
org.apache.commons.math3.genetics.SelectionPolicy

Packages that use SelectionPolicy
Package
Description
org.apache.commons.math3.genetics
This package provides Genetic Algorithms components and implementations.

## Uses of SelectionPolicy in org.apache.commons.math3.genetics

Classes in org.apache.commons.math3.genetics that implement SelectionPolicy
Modifier and Type
Class
Description
`class`
`TournamentSelection`
Tournament selection scheme.
Methods in org.apache.commons.math3.genetics that return SelectionPolicy
Modifier and Type
Method
Description
`SelectionPolicy`
GeneticAlgorithm.`getSelectionPolicy()`
Returns the selection policy.
Constructors in org.apache.commons.math3.genetics with parameters of type SelectionPolicy
Modifier
Constructor
Description
``
`GeneticAlgorithm(CrossoverPolicy crossoverPolicy, double crossoverRate, MutationPolicy mutationPolicy, double mutationRate, SelectionPolicy selectionPolicy)`
Create a new genetic algorithm.